Bug 1478421 - Enabling Capacity & Utilization without filling C&U credentials generate repeated Errors in evm.log
Summary: Enabling Capacity & Utilization without filling C&U credentials generate repe...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.8.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.8.2
Assignee: Boriso
QA Contact: Aleksei Slaikovskii
URL:
Whiteboard: rhev
Depends On: 1450644
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-08-04 14:11 UTC by Satoe Imaishi
Modified: 2017-10-24 00:17 UTC (History)
6 users (show)

Fixed In Version: 5.8.2.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1450644
Environment:
Last Closed: 2017-10-24 00:17:32 UTC
Category: ---
Cloudforms Team: RHEVM
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:3005 normal SHIPPED_LIVE Important: Red Hat CloudForms security, bug fix, and enhancement update 2017-10-24 04:15:49 UTC

Comment 2 CFME Bot 2017-08-04 14:16:06 UTC
New commit detected on ManageIQ/manageiq/fine:
https://github.com/ManageIQ/manageiq/commit/02ec1f4d3882a7b63a6325c5e46fb4a3658c1ec1

commit 02ec1f4d3882a7b63a6325c5e46fb4a3658c1ec1
Author:     Oved Ourfali <oourfali@redhat.com>
AuthorDate: Thu Jun 29 09:52:16 2017 +0300
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Fri Aug 4 10:11:02 2017 -0400

    Merge pull request #53 from borod108/bugs/metrics_error_in_logs
    
    Fix unhandled exception in metrics collection when missing credentials
    (cherry picked from commit 4c6fc3c5ec34798935337028ef06621012c37bd1)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1478421

 .../manageiq/providers/redhat/infra_manager/metrics_capture.rb     | 7 ++++++-
 .../providers/redhat/infra_manager/metrics_capture_spec.rb         | 7 +++++++
 2 files changed, 13 insertions(+), 1 deletion(-)

Comment 3 Ilanit Stein 2017-08-28 12:37:44 UTC
Verified on CFME-5.8.2.0.20170824192913_b09a5f8/RHV-4.1.6-0.1.el7

Monitoring evm.log for 35 min after turning Configuration: C&U flags ON:
Show No Errors.

Comment 5 errata-xmlrpc 2017-10-24 00:17:32 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:3005


Note You need to log in before you can comment on or make changes to this bug.